<script setup lang="ts">
import NewArrivalsProductItem from '@/components/carousel/new-arrivals/NewArrivalsProductItem.vue'
import { Carousel, Slide, Navigation } from 'vue3-carousel'

</script>
<template>
  <div class="axil-new-arrivals-product-area bg-color-white axil-section-gap pb--50">
    <div class="container">
      <div class="section-title-wrapper">
        <span class="title-highlighter highlighter-primary"><i class="far fa-shopping-basket"></i> This Week’s</span>
        <h2 class="title">New Arrivals</h2>
      </div>
      <Carousel
          :items-to-show="4"
          :wrap-around="true"
          snap-align="start"
          class="new-arrivals-product-activation slick-layout-wrapper--30 axil-slick-arrow  arrow-top-slide"
      >
        <template #slides>
          <Slide v-for="slide in 10" :key="slide">
            <NewArrivalsProductItem/>
          </Slide>
        </template>
        <template #addons>
          <div class="top-slide-navigation">
            <Navigation />
          </div>
        </template>
      </Carousel>
    </div>
  </div>
</template>

<style lang="scss">
.carousel__prev, .carousel__next {
  font-size: 20px;
}
</style>
